#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <dos.h>
#include <time.h>


#include "cards.h"
#include "players.h"
#include "textgrph.h"
#include "dio.h"
#include "ai.h"

extern int
   game_type,
   num_players,
   win_points;
extern CARD_INFO
   field_cards[3][3];
extern int
   field_color[3][3],
   field_element[3][3],
   field_element_bonus[3][3];


/*
   Returns a key that the computer would press.
*/
int ComputerThink(int pick_card, CARD_INFO *c, int num)
{
   static int
      moving = 0,
      move_to_x = 0,
      move_to_y = 0;
   int
      x,
      y,
      key;

   delay(400);   /* Keep the computer from moving too fast. */

   if(pick_card)
   {
      if(moving)
      {
         if(move_to_y == 0)
         {
            key = ENTER;
            moving = 0;
         } else
         {
            move_to_y--;
            key = DOWN;
         }
      } else
      {
         if(num == 1)
         {
            key = ENTER;
         } else
         {
            move_to_y = rand() % num;
            moving = 1;
            if(move_to_y == 0)
            {
               key = ENTER;
               moving = 0;
            } else
            {
               move_to_y--;
               key = DOWN;
            }
         }
      }
   } else
   {
      if(moving)
      {
         if(move_to_x == 0 && move_to_y == 0)
         {
            moving = 0;
            key = ENTER;
         } else
         {
            if(move_to_x)
            {
               move_to_x--;
               key = RIGHT;
            } else
            {
               move_to_y--;
               key = DOWN;
            }
         }
      } else /* find place to put card */
      {
         for(y = 0; y < 3; y++)
         {
            for(x = 0; x < 3; x++)
            {
               if(field_cards[y][x].name[0] == 0)
               {
                  move_to_x = x;
                  move_to_y = y;
                  moving = 1;

                  if(move_to_x)
                  {
                     move_to_x--;
                     return RIGHT;
                  } else if(move_to_y)
                  {
                     move_to_y--;
                     return DOWN;
                  } else
                  {
                     moving = 1;
                     return ENTER;
                  }
               }
            }
         }
      }
   }

   return key;
}
