#ifndef _CARDS_H
#define _CARDS_H

#include "players.h"

struct tag_card_info;
typedef struct tag_card_info
{
   unsigned char
      name[32];
   unsigned short
      id,
      set;      // Identifies the card set it is from.
   unsigned char
      level,    // Level 1 - 10
      rarity,   // C = Common, U = Uncommon, R = Rare, * = Very Rare
      element,  // (E)arth, (W)ater, (A)ir, (F)ire, (L)ight, (D)ark
      power[4]; // (0 = top, 1 = right, 2 = bottom, 3 = left)
   struct tag_card_info
      *prev,
      *next;
} CARD_INFO;


struct tag_card_paks;
typedef struct tag_card_paks
{
   char
      pakname[128],
      series_name[64];
   unsigned short
      set_id;
   int
      num_cards;
   struct tag_card_paks
      *prev,
      *next;
} CARD_PAK_INFO;


#define TOP_SIDE        0
#define RIGHT_SIDE      1
#define BOTTOM_SIDE     2
#define LEFT_SIDE       3

void FreeCards(void);
int LoadCards(void);
void CreateStartingDeck(unsigned long *deck);
void CreateBattleDeck(PLAYER_INFO *p, CARD_INFO *pcards);
void CreateComputerBattleDeck(CARD_INFO *c_cards, CARD_INFO *opponents);
void DrawCard(int x, int y, int color, CARD_INFO *c);
void ViewAllCards(void);
void Shop(void);
void ViewPlayersCards(PLAYER_INFO *p);
int Menu(char *menu_name, char **menu_items, int num_items);
void MessageBox(char *text, ...);


#endif /* _CARDS_H */
