#ifndef _PLAYERS_H
#define _PLAYERS_H

typedef struct
{
   unsigned char
      name[9];         // The Players name
   long
      game_points;
   unsigned long
      deck[500];     // bits 0-15 = card id, bits 16-31 = card level
   unsigned short
      number_of_cards,  // Number of cards in players deck
      wins,
      losses;
} PLAYER_INFO;


extern PLAYER_INFO
   player[2];

#define STATE_PLAYER_MENU     1
#define STATE_GAME_MENU       2

extern int
   game_state,
   exit_game;

void CreateNewPlayer(void);
void LoadPlayerNames(void);
int SavePlayer(PLAYER_INFO *p);
int SelectPlayer(char *cant_be, PLAYER_INFO *p);
void PlayerMenu(void);
void TradeCards(void);


#endif /* _PLAYERS_H */