#ifndef _TEXTGRPH_H
#define _TEXTGRPH_H

#include <conio.h>

#define DOUBLE_BOX   1
#define SINGLE_BOX   2
#define BLANK_BOX    3


#define SCROLL_UP   0x07
#define SCROLL_DOWN 0x06



void Cursor(int x, int y);
void SetCursorSize(int start, int end);
void GetCursor(int *x, int *y, int *page, int *start, int *end);
void GetVideo(int *columns, int *displayMode, int *displayPage);
void SetVideo(int displayMode);
void SetBorderColor(int color);
void WriteChar(char ch, int fcolor, int bcolor);
void RepeatChar(char ch, int howMany, int fcolor, int bcolor);
void WriteString(char *string, int fcolor, int bcolor, int x, int y);
void DisplayTextLine(char *string, int fc, int bc, int x, int y, int pos);
void Box(int x0, int y0, int x1, int y1, int type,
         int fill, int fcolor, int bcolor);
void Scroll(int x, int y, int width, int height,
            int nbr, int direction);
void CursorOff(void);
void CursorOn(void);
void ClearScreen(int fcolor, int bcolor);
void Grid(int x0, int y0, int x1, int y1, int fcolor,
          int bcolor, int type);
char *SaveScreenArea(int x0, int y0, int x1, int y1);
void RestoreScreenArea(char *buffer);

#endif // _TEXTGRPH_H
 
